#include "widget.h"
#include "ui_widget.h"
//#include "
#include <QInputDialog>
Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);
    connect(ui->listWidget->selectionModel(),SIGNAL(selectionChanged(QItemSelection,QItemSelection)),
            this, SLOT(updateDeleteEnabled()));
    updateDeleteEnabled();
}

Widget::~Widget()
{
    delete ui;
}

void Widget::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void Widget::on_addButton_clicked()
{
    QString mioTesto = QInputDialog::getText(this,"inserire testo","Text:"); // digitare codice
    if (!mioTesto.isEmpty())
        ui->listWidget->addItem(mioTesto);;
}

void Widget::on_deleteButton_clicked()
{
    foreach(QListWidgetItem *item, ui->listWidget->selectedItems())
        delete item;
}

void Widget::updateDeleteEnabled()
{
ui->deleteButton->setEnabled(ui->listWidget->selectedItems().count()!=0);
}
